Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.acme
Class DateTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              com.acme.DateTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, JspTag, Tag

    public class DateTag

extends BodyTagSupport

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`DateTag()`

Method Summary
`int` | `doAfterBody()` After the body evaluation: do not reevaluate and continue with the page.
`int` | `doEndTag()` Default processing of the end tag returning EVAL_PAGE.
`void` | `doInitBody()` Prepare for evaluation of the body just before the first body evaluation: no action.
`int` | `doStartTag()` Default processing of the start tag returning EVAL_BODY_BUFFERED.
`Tag` | `getParent()` The Tag instance most closely enclosing this tag instance.
`void` | `release()` Release state.
`void` | `setBodyContent(BodyContent content)` Prepare for evaluation of the body: stash the bodyContent away.
`void` | `setPageContext(PageContext pageContext)` Set the page context.
`void` | `setParent(Tag parent)` Set the nesting tag of this tag.
`void` | `setTz(String value)`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`getBodyContent, getPreviousOut`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getValue, getValues, removeValue, setId, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateTag

    public DateTag()

Method Detail

### setParent

    public void setParent(Tag parent)

  Description copied from class: `TagSupport`
  Set the nesting tag of this tag.

  Specified by:
    `setParent` in interface `Tag`
  Overrides:
    `setParent` in class `TagSupport`
  Parameters:
    `parent` - The parent Tag.
  See Also:
    `Tag.setParent(Tag)`

### getParent

    public Tag getParent()

  Description copied from class: `TagSupport`
  The Tag instance most closely enclosing this tag instance.

  Specified by:
    `getParent` in interface `Tag`
  Overrides:
    `getParent` in class `TagSupport`
  Returns:
    the parent tag instance or null
  See Also:
    `Tag.getParent()`

### setBodyContent

    public void setBodyContent(BodyContent content)

  Description copied from class: `BodyTagSupport`
  Prepare for evaluation of the body: stash the bodyContent away.

  Specified by:
    `setBodyContent` in interface `BodyTag`
  Overrides:
    `setBodyContent` in class `BodyTagSupport`
  Parameters:
    `content` - the BodyContent
  See Also:
    `BodyTagSupport.doAfterBody()`, `BodyTagSupport.doInitBody()`, `BodyTag.setBodyContent(javax.servlet.jsp.tagext.BodyContent)`

### setPageContext

    public void setPageContext(PageContext pageContext)

  Description copied from class: `TagSupport`
  Set the page context.

  Specified by:
    `setPageContext` in interface `Tag`
  Overrides:
    `setPageContext` in class `TagSupport`
  Parameters:
    `pageContext` - The PageContext.
  See Also:
    `Tag.setPageContext(javax.servlet.jsp.PageContext)`

### setTz

    public void setTz(String value)

### doStartTag

    public int doStartTag()
                   throws JspException

  Description copied from class: `BodyTagSupport`
  Default processing of the start tag returning EVAL_BODY_BUFFERED.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `BodyTagSupport`
  Returns:
    EVAL_BODY_BUFFERED
  Throws:
    `JspException` - if an error occurred while processing this tag
  See Also:
    `Tag.doStartTag()`

### doEndTag

    public int doEndTag()
                 throws JspException

  Description copied from class: `BodyTagSupport`
  Default processing of the end tag returning EVAL_PAGE.

  Specified by:
    `doEndTag` in interface `Tag`
  Overrides:
    `doEndTag` in class `BodyTagSupport`
  Returns:
    EVAL_PAGE
  Throws:
    `JspException` - if an error occurred while processing this tag
  See Also:
    `Tag.doEndTag()`

### doInitBody

    public void doInitBody()
                    throws JspException

  Description copied from class: `BodyTagSupport`
  Prepare for evaluation of the body just before the first body evaluation: no action.

  Specified by:
    `doInitBody` in interface `BodyTag`
  Overrides:
    `doInitBody` in class `BodyTagSupport`
  Throws:
    `JspException` - if an error occurred while processing this tag
  See Also:
    `BodyTagSupport.setBodyContent(javax.servlet.jsp.tagext.BodyContent)`, `BodyTagSupport.doAfterBody()`, `BodyTag.doInitBody()`

### doAfterBody

    public int doAfterBody()
                    throws JspException

  Description copied from class: `BodyTagSupport`
  After the body evaluation: do not reevaluate and continue with the page. By default nothing is done with the bodyContent data (if any).

  Specified by:
    `doAfterBody` in interface `IterationTag`
  Overrides:
    `doAfterBody` in class `BodyTagSupport`
  Returns:
    SKIP_BODY
  Throws:
    `JspException` - if an error occurred while processing this tag
  See Also:
    `BodyTagSupport.doInitBody()`, `IterationTag.doAfterBody()`

### release

    public void release()

  Description copied from class: `BodyTagSupport`
  Release state.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `BodyTagSupport`
  See Also:
    `Tag.release()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.